IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_46_104_search]') AND type = 'P')
DROP PROCEDURE [dbo].[order_46_104_search]
GO

-- 生成时间:2018-05-17 09:23:37 by ebs-core  
CREATE  procedure order_46_104_search(
@ordid bigint,
@key nvarchar(200),
@pagesize int 
) 
as  
begin  
set nocount on 
-- 将@key 分解为三个值
declare @key1 nvarchar(200)
declare @key2 nvarchar(200)
declare @key3 nvarchar(200)
set @key1=''
set @key2=''
set @key3=''
declare @i int 
set @key1 = @key 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @i = charindex(' ',@key1) 
if (@i>0) 
begin
set @key2 = substring(@key1,@i+1,200) 
set @key1 = substring(@key1,1,@i-1) 
end 
if (@key2>'') 
begin
set @i = charindex(' ',@key2) 
if (@i>0) 
begin
set @key3 = substring(@key2,@i+1,200) 
set @key2 = substring(@key2,1,@i-1) 
end 
end 
if (@key1='') set @key1='%' 
if (charindex('%',@key1)<=0) set @key1='%'+@key1+'%'

if (@key2='') set @key2='%' 
if (charindex('%',@key2)<=0) set @key2='%'+@key2+'%'

if (@key3='') set @key3='%' 
if (charindex('%',@key3)<=0) set @key3='%'+@key3+'%'

select top(@pagesize) * from order_46_104  
where ord2_ordid=@ordid and ( (ord2_bz like @key1 and ord2_bz like @key2 and ord2_bz like @key3) or  (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (ord2_cucuid like @key1 and ord2_cucuid like @key2 and ord2_cucuid like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_jjbm like @key1 and ord2_jjbm like @key2 and ord2_jjbm like @key3) or  (ord2_jjnr like @key1 and ord2_jjnr like @key2 and ord2_jjnr like @key3) or  (ord2_jjr like @key1 and ord2_jjr like @key2 and ord2_jjr like @key3) or  (ord2_jjx like @key1 and ord2_jjx like @key2 and ord2_jjx like @key3) or  (ord2_jjzt like @key1 and ord2_jjzt like @key2 and ord2_jjzt like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3)) order by ord2_order, ord2_id 
select ord2_id  as ord2id_page from order_46_104 
where ord2_ordid=@ordid and ( (ord2_bz like @key1 and ord2_bz like @key2 and ord2_bz like @key3) or  (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (ord2_cucuid like @key1 and ord2_cucuid like @key2 and ord2_cucuid like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_jjbm like @key1 and ord2_jjbm like @key2 and ord2_jjbm like @key3) or  (ord2_jjnr like @key1 and ord2_jjnr like @key2 and ord2_jjnr like @key3) or  (ord2_jjr like @key1 and ord2_jjr like @key2 and ord2_jjr like @key3) or  (ord2_jjx like @key1 and ord2_jjx like @key2 and ord2_jjx like @key3) or  (ord2_jjzt like @key1 and ord2_jjzt like @key2 and ord2_jjzt like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3)) order by ord2_order, ord2_id 

set nocount off
end